### Method

# Gio DtlsConnection handshake_async

since: 2.48

#### Declaration

    void
    g_dtls_connection_handshake_async (
      GDtlsConnection* conn,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously performs a TLS handshake on `conn`. See `g_dtls_connection_handshake()` for more information.

Available since: 2.48

This method completes asynchronously. Use `g_dtls_connection_handshake_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`io_priority`

  Type: `int`

  The [I/O priority][io-priority] of the request.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the handshake is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.